#include "Platform.h"
#include <string.h>
#include <stdio.h>
#include <time.h>
#include "RTCReader.h"
#include "BaseCommunication.h"

#include "memory_placements.h"


#define base CRFUReader

CRTCReader::CRTCReader(CReader *Owner,CBaseCommunication *Communicator)
			  :base(Owner,Communicator)
{
}

CRTCReader::~CRTCReader(void)
{
}

void CRTCReader::SetHWString(char *String)
{
   strcpy(String,"RTC_");
}

void CRTCReader::GetProductString(uint8_t *Product)
{
	memcpy(Product,"CJRTC",5);
}






